package com.study.skindemo

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import com.study.libs.SkinManager
import kotlinx.android.synthetic.main.activity_main.*
import java.io.File

/**
 * 这个是换肤方案的demo，该demo目标是做成换肤的功能，支持同名资源替换型换肤
 */
class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        btnCtl.setOnClickListener {
            SkinManager.getInstance()
                .loadSkin(File(cacheDir, "skin1-release-unsigned.apk").absolutePath)
        }
    }

}